using System.Collections.Generic;

using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainPage()

        /// <summary>
        /// 
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            SetListViewData();

            this.refreshDataButton.Click += refreshDataButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region Refresh data ư Ŭ óϱ - refreshDataButton_Click(sender, e)

        /// <summary>
        /// Refresh data ư Ŭ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void refreshDataButton_Click(object sender, RoutedEventArgs e)
        {
            SetListViewData(true);
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////// Function

        #region Ʈ   ϱ - SetListViewData(updated)

        /// <summary>
        /// Ʈ   ϱ
        /// </summary>
        /// <param name="updated">Ʈ </param>
        private void SetListViewData(bool updated = false)
        {
            List<string> list = new List<string>();

            for(int i = 0; i < 5; i++)
            {
                list.Add(updated ? "Updated content " + i : "Item " + i);
            }

            this.listView.ItemsSource = list;
        }

        #endregion
    }
}